<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>PlayerZone</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PlayerZone";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlayerZone.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/PlayerPieces.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/ViewGame.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/PlayerZone.html" target="_top">Frames</a></li>
<li><a href="PlayerZone.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">view</div>
<h2 title="Class PlayerZone" class="title">Class PlayerZone</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>view.PlayerZone</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">PlayerZone</span>
extends javax.swing.JPanel</pre>
<div class="block">The Class PlayerZone is a jPanel who display the playerBar and playerPieces of a player.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#view.PlayerZone">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../view/PlayerZone.html#PlayerZone(model.Player,%20controler.Game,%20view.Blokus)">PlayerZone</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p,
          <a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
          <a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</code>
<div class="block">Instantiates a new player zone.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#activer()">activer</a></strong>()</code>
<div class="block">Activate the playerPieces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#desActiver()">desActiver</a></strong>()</code>
<div class="block">Desactivate the playerPieces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#getBar()">getBar</a></strong>()</code>
<div class="block">Gets the playerBar.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../view/Blokus.html" title="class in view">Blokus</a></code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#getBlokus()">getBlokus</a></strong>()</code>
<div class="block">Gets the blokus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#getBouttonAbandonner()">getBouttonAbandonner</a></strong>()</code>
<div class="block">Gets the button abandonner.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>javax.swing.JButton</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#getBouttonPasser()">getBouttonPasser</a></strong>()</code>
<div class="block">Gets the button passer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../controler/Game.html" title="class in controler">Game</a></code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#getGame()">getGame</a></strong>()</code>
<div class="block">Gets the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Player.html" title="class in model">Player</a></code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#getPlayer()">getPlayer</a></strong>()</code>
<div class="block">Gets the player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#hideButton()">hideButton</a></strong>()</code>
<div class="block">Hide the button abandonner and passer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#isFinish()">isFinish</a></strong>()</code>
<div class="block">Change a few of graphics color to indicate that the player have finish his game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#isPlaying()">isPlaying</a></strong>()</code>
<div class="block">Change a few of graphics color to indicate that is the player round.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#isWaiting()">isWaiting</a></strong>()</code>
<div class="block">Change a few of graphics color to indicate that is not the player round.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#setPlayer(model.Player)">setPlayer</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Set the player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#synchro()">synchro</a></strong>()</code>
<div class="block">Actualize the playerBar and playerPieces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../view/PlayerZone.html#synchro(model.Player)">synchro</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p)</code>
<div class="block">Actualize the playerBar and playerPieces with a new player.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PlayerZone(model.Player, controler.Game, view.Blokus)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PlayerZone</h4>
<pre>public&nbsp;PlayerZone(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p,
          <a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;game,
          <a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;blokus)</pre>
<div class="block">Instantiates a new player zone.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the player</dd><dd><code>game</code> - the game</dd><dd><code>blokus</code> - the blokus</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getGame()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGame</h4>
<pre>public&nbsp;<a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;getGame()</pre>
<div class="block">Gets the game.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the game</dd></dl>
</li>
</ul>
<a name="getPlayer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayer</h4>
<pre>public&nbsp;<a href="../model/Player.html" title="class in model">Player</a>&nbsp;getPlayer()</pre>
<div class="block">Gets the player.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the player</dd></dl>
</li>
</ul>
<a name="getBlokus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlokus</h4>
<pre>public&nbsp;<a href="../view/Blokus.html" title="class in view">Blokus</a>&nbsp;getBlokus()</pre>
<div class="block">Gets the blokus.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the blokus</dd></dl>
</li>
</ul>
<a name="getBar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBar</h4>
<pre>public&nbsp;<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a>&nbsp;getBar()</pre>
<div class="block">Gets the playerBar.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the playerBar</dd></dl>
</li>
</ul>
<a name="getBouttonPasser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBouttonPasser</h4>
<pre>public&nbsp;javax.swing.JButton&nbsp;getBouttonPasser()</pre>
<div class="block">Gets the button passer.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the button passer</dd></dl>
</li>
</ul>
<a name="getBouttonAbandonner()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBouttonAbandonner</h4>
<pre>public&nbsp;javax.swing.JButton&nbsp;getBouttonAbandonner()</pre>
<div class="block">Gets the button abandonner.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the button abandonner</dd></dl>
</li>
</ul>
<a name="isPlaying()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPlaying</h4>
<pre>public&nbsp;void&nbsp;isPlaying()</pre>
<div class="block">Change a few of graphics color to indicate that is the player round.</div>
</li>
</ul>
<a name="isWaiting()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWaiting</h4>
<pre>public&nbsp;void&nbsp;isWaiting()</pre>
<div class="block">Change a few of graphics color to indicate that is not the player round.</div>
</li>
</ul>
<a name="isFinish()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFinish</h4>
<pre>public&nbsp;void&nbsp;isFinish()</pre>
<div class="block">Change a few of graphics color to indicate that the player have finish his game.</div>
</li>
</ul>
<a name="setPlayer(model.Player)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayer</h4>
<pre>public&nbsp;void&nbsp;setPlayer(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p)</pre>
<div class="block">Set the player.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the new player</dd></dl>
</li>
</ul>
<a name="synchro()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>synchro</h4>
<pre>public&nbsp;void&nbsp;synchro()</pre>
<div class="block">Actualize the playerBar and playerPieces.</div>
</li>
</ul>
<a name="synchro(model.Player)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>synchro</h4>
<pre>public&nbsp;void&nbsp;synchro(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;p)</pre>
<div class="block">Actualize the playerBar and playerPieces with a new player. (this method is use for the online gamemode)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>p</code> - the p</dd></dl>
</li>
</ul>
<a name="activer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activer</h4>
<pre>public&nbsp;void&nbsp;activer()</pre>
<div class="block">Activate the playerPieces.</div>
</li>
</ul>
<a name="desActiver()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>desActiver</h4>
<pre>public&nbsp;void&nbsp;desActiver()</pre>
<div class="block">Desactivate the playerPieces.</div>
</li>
</ul>
<a name="hideButton()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hideButton</h4>
<pre>public&nbsp;void&nbsp;hideButton()</pre>
<div class="block">Hide the button abandonner and passer.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlayerZone.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../view/PlayerPieces.html" title="class in view"><span class="strong">Prev Class</span></a></li>
<li><a href="../view/ViewGame.html" title="class in view"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/PlayerZone.html" target="_top">Frames</a></li>
<li><a href="PlayerZone.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
